[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TVirtualGrid.Celda

Provides indexed access to cell properties by their column and row numbers.

## Declaration

Source position: grids.pas line 441

`public property TVirtualGrid.Celda[Col: Integer,Row: Integer] : PCellProps read GetCells write SetCells;`

## Description

Celda is an indexed PCellProps property which provides access to the data, attributes, and text for a given cell. Values are accessed by their column and row numbers. Setting a new value for the indexed property causes an existing cell to be freed from the internal cell array (when assigned) by calling DisposeCell.

## See also

TVirtualGrid.DisposeCell |  | Disposes of the resources and the pointer for the given cell.
PCellProps |  | Pointer to a TCellProps type.